%define _name lineak
%def_disable static

Name: %{_name}d
Version: 0.8.4
Release: alt1
Summary: A program to use the special keys on multimedia keyboards
Summary(ru_RU.UTF-8): Программа поддержки мультимедиа клавиатур
Group: System/Configuration/Other
License: GPL
Url: http://lineak.sourceforge.net

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source: %name-%version.tar.gz
Patch0: lineakd-0.8.4-alt-configure.patch

Requires: lib%_name = %version-%release
Conflicts: lineakconfig <= 0.3.2

# Automatically added by buildreq on Sun Mar 19 2006
BuildRequires: gcc-c++ libXext-devel libXt-devel libxkbfile-devel linux-libc-headers

%description
LinEAK is a utility designed to enable the use and configuration of
those special keys on Internet, Easy Access and Multimedia keyboards in
Linux.

This package provides lineakd is a daemon that configures the X keyboard
map and listens for incoming events.

%description -l ru_RU.UTF-8
lineakd позволяет задействовать дополнительные клавиши на мультимедиа и
интернет клавиатурах при работе в X-Window.

%package -n lib%_name
Summary: Shared library for lineakd
Group: System/Libraries

%description -n lib%_name
LinEAK is a utility designed to enable the use and configuration of
those special keys on Internet, Easy Access and Multimedia keyboards in
Linux.

This package provides shared library required for lineakd to work.

%package -n lib%_name-devel
Summary: LinEAK development files
Group: Development/C++
Requires: lib%_name = %version-%release

%description -n lib%_name-devel
LinEAK is a utility designed to enable the use and configuration of
those special keys on Internet, Easy Access and Multimedia keyboards in
Linux.

This package provides headers and libraries needed to develop plugins
for lineakd.

%prep
%setup -q -n %name-%version

%patch0 -p1

%build
%__autoreconf
%configure \
	--disable-warnings \
	%{subst_enable static}

%make_build

%install
%makeinstall

%find_lang %name

%post -n lib%_name
%post_ldconfig

%postun -n lib%_name
%postun_ldconfig

%files -f %name.lang
%doc AUTHORS README ChangeLog TODO
%config %_sysconfdir/*
%_bindir/*
%_man1dir/*

%files -n lib%_name
%dir %_libdir/%name
%dir %_libdir/%name/plugins
%_libdir/*.so.*

%files -n lib%_name-devel
%_includedir/*
%_libdir/*.so

%changelog
* Sun Mar 19 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.8.4-alt1
- 0.8.4
- updated build dependencies

* Tue Jan 18 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.8.2-alt1
- 0.8.2

* Wed Sep 22 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8-alt1
- 0.8 release

* Fri Jun 18 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8-alt0.8beta3
- fix lineakkb.def (close #4381).

* Thu Apr 29 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8-alt0.7beta3
- 0.8beta3

* Fri Mar 12 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8-alt0.6beta2
- 0.8beta2.

* Sat Jan 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8-alt0.5beta1
- 0.8beta1.

* Wed Feb 12 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5-alt1
- new version.

* Fri Nov 01 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.5-alt2
- Rebuild.

* Fri Jun 07 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.5-alt1
- bugfix release. 

* Fri Jun 07 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.3-alt1
- 0.3.3 (54 kbds). 
- no more pid file.
- incompatible with lineakconfig <= 0.3

* Wed May 29 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.2-alt1
- BTC9000A included.
- 50 keyboards supported.

* Tue May 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.1-alt1.1
- BTC9000A definition added. 

* Mon May 27 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.1-alt1
- 0.3.1 (46 keyboards). Chicony MK9885 included.

* Wed May 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3-alt1
- 0.3

* Tue Mar 12 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.2-alt2
- %name-0.2-chmk9885.patch (my keyboard support)

* Tue Mar 12 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.2-alt1
- First build for Sisyphus.
